Subject: Re: CCL:Parallel Jaguar on x86-64 / MPI question

From: Jerry Ebalunode <jebalunode!at!uh.edu>
Date: Mon, 09 Aug 2004 09:05:44 -0500

It seems you are requesting two processors for your job but your mpi 
configuration only reports one as being available. If you are using mpich, 
you could add the following option to your mpirun argument

mpirun  -np N  -machinefile my_machinefile  ./program

N = no. of processors (in yourcase 2)
my_machinefile = machinefile list  e.g.

pobox.com:2

Two in here means that server (pobox.com) has two processors

Hope this helps.

  On Friday 06 August 2004 11:11 am, Eric Bennett wrote:
> Hello,
>
> I have seen people report running Jaguar succesfully on x86_64 systems,
> but I have not seen any reports as to whether these were parallel or
> serial jobs.  I am having trouble running parallel jobs on an SMP Intel
> x86_64 system.  I assume that because I'm an MPI novice, my problem is a
> configuration error, but Schrodinger's first response was to say that
> they do not compile for 64-bit systems.
>
> So, has anyone run parallel Jaguar on x86_64 succesfully?  My serial
> jobs work fine.
>
> Alternatively, can someone who knows more about MPI than I do suggest
> where I might have gone wrong to obtain the following error, assuming
> that it is not an incompatibility with x86_64?  The mpich test suite
> appears to run fine and uses all the CPUs.
>
>
> FATAL: FATAL: MPI_Comm_size (2) does not equal nprocs (1)MPI_Comm_size
> (2) does not equal nprocs (1)[0] MPI Abort by user Aborting program !
> [1] MPI Abort by user Aborting program !
> [0] Aborting program!
> [1] Aborting program!
> p0_27431:  p4_error: : 1
> p1_27432:  p4_error: : 1
>
>
> More info:
>
> Jaguar version 5.5, release  16
>
> [bennette@localhost bms]$ uname -a
> Linux localhost.localdomain 2.4.21-15.EL #1 SMP Thu Apr 22 00:09:47 EDT
> 2004 x86_64 x86_64 x86_64 GNU/Linux
>
>
> TIA,
> Eric

-- 
 Jerry Ebalunode
 Ph.D. Candidate (Advisor: Asoc. Professor Jim Briggs Ph.D.)
 RM 402F Houston Science Center
 Phone: 713-743-8367
 Dept. of Biology and Biochemistry
 University of Houston
 4800 Calhoun Road
 Houston, TX 77204